define({'access level':{d:'A permission assigned to a user to control which commands the user can execute. See protections.',l:''},'admin access':{d:'An access level that gives the user permission to run commands that override metadata but do not affect the state of the service.',l:''},'APC':{d:'APC is the Alternative PHP Cache, a free, open, and robust framework for caching and optimizing PHP intermediate code.',l:''},'apple file type':{d:'Helix file type assigned to files that are stored using AppleSingle format, permitting the data fork and resource fork to be stored as a single file.',l:''},'atomic change transaction':{d:'Grouping operations affecting a number of files in a single transaction. If all operations in the transaction succeed, all the files are updated. If any operation in the transaction fails, none of the files are updated.',l:''},'base':{d:'The file revision on which two newer, conflicting file revisions are based.',l:''},'BCC':{d:'Blind carbon copy, a feature of email, allows the sender of a message to conceal the person entered in the Bcc: field from all other recipients.',l:''},'binary file type':{d:'Helix file type assigned to a non-text file. By default, the contents of each revision are stored in full, and the file is stored in compressed format.',l:''},'BMP':{d:'Bitmap, a graphics file format, commonly with the filename extension .bmp.',l:''},'Branch':{d:'A branch in Perforce is a set of related files that exist at a specific location in the Perforce depot as a result of being copied to that location, as opposed to being added at that location.',l:''},'branch':{d:'(noun) A set of related files created by copying files, as opposed to adding files. A group of related files is often referred to as a codeline.\n(verb) To create a stream by copying another stream with p4 copy or p4 populate.',l:''},'branch form':{d:'The Helix form you use to modify a branch.',l:''},'branch mapping':{d:'Specifies how a branch is to be created by defining the location of the original codeline and the branch. The branch mapping is used by the integration process to create and update branches. Client workspaces, labels, and branch specifications cannot share the same name.',l:''},'branch view':{d:'A specification of the branching relationship between two codelines in the depot. Each branch view has a unique name and defines how files are mapped from the originating codeline to the target codeline. See branch.',l:''},'change review':{d:'The process of sending email to users who have registered their interest in changes made to specified files in the depot.',l:''},'Changelist':{d:'A changelist is a list of files, their version numbers, the changes made to the files, and a description of the changes made. A changelist is the basic unit of versioned work in a Helix Versioning Engine.',l:''},'changelist':{d:'An atomic change transaction in Helix. The changes specified in the changelist are not stored in the depot until the changelist is submitted to the depot.',l:''},'changelist form':{d:'The form you use to modify a changelist.',l:''},'changelist number':{d:'The unique numeric identifier of a changelist.',l:''},'checkpoint':{d:'A copy of the underlying metadata at a particular moment in time. See metadata.',l:''},'classic depot':{d:'The depot name that is assumed when no name is specified. The default depot name is depot. See also default depot and stream depot.',l:''},'client form':{d:'The form you use to define a client workspace.',l:''},'client name':{d:'A name that uniquely identifies the current client workspace.',l:''},'client root':{d:'The root directory of a client workspace. If two or more client workspaces are located on one machine, they cannot share a root directory.',l:''},'client side':{d:'The right-hand side of a mapping within a client view, specifying where the corresponding depot files are located in the client workspace.',l:''},'client workspace':{d:'Directories on your machine where you work on file revisions that are managed by Helix. By default this name is set to the name of the machine on which your client workspace is located; to override the default name, set the P4CLIENT environment variable. Client workspaces, labels, and branch specifications cannot share the same name.',l:''},'Code Review':{d:'A code review in Swarm is a process in which other developers can see your code, provide feedback, and approve or reject your changes.',l:''},'codeline':{d:'A set of files that evolve collectively. One codeline can be branched from another, allowing each set of files to evolve separately.',l:''},'Comment':{d:'A comment in Swarm is feedback provided on a changelist or a file within a change.',l:''},'conflict':{d:'One type of conflict occurs when two users open a file for edit. One user submits the file, after which the other user cannot submit because of a conflict. The cause of this type of conflict is two users opening the same file. The other type of conflict is when users try to merge one file into another. This type of conflict occurs when the comparison of two files to a common base yields different results, indicating that the files have been changed in different ways. In this case, the merge can’t be done automatically and must be done by hand. The type of conflict is caused by non-matching diffs. See file conflict.',l:''},'counter':{d:'A numeric variable used by to track changelist numbers in conjunction with the review feature.',l:''},'CSRF':{d:'Cross-Site Request Forgery, a form of web-based attack that exploits the trust that a site has in a user\u0027s web browser.',l:''},'Debian':{d:'Debian GNU/Linux is a distribution of the Linux operation system produced by the Debian Project.\nDebian is also the casual name of the software packaging system used by the Debian GNU/Linux, and its variants such as Ubuntu Linux.',l:''},'default changelist':{d:'The changelist used by commands, unless a numbered changelist is specified. A default pending changelist is created automatically when a file is opened for edit.',l:''},'default depot':{d:'The depot name that is assumed when no name is specified. The default depot name is depot.',l:''},'deleted file':{d:'In Helix, a file with its head revision marked as deleted. Older revisions of the file are still available.',l:''},'delta':{d:'The differences between two files.',l:''},'depot':{d:'A file repository hosted on the server. It contains all versions of all files ever submitted to the depot. There can be multiple depots on a single installation.',l:''},'Depot':{d:'A depot is a top-level unit of storage for versioned files within a Perforce server.',l:''},'depot root':{d:'The root directory for a depot.',l:''},'depot side':{d:'The left side of any client view mapping, specifying the location of files in a depot.',l:''},'depot syntax':{d:'Helix Core syntax for specifying the location of files in the depot.',l:''},'detached':{d:'A machine that cannot connect to the server.',l:''},'diff':{d:'(noun) A set of lines that don’t match when two files are compared. A conflict is a pair of unequal diffs between each of two files and a common third file.\n(verb) To compare the contents of files or file revisions.',l:''},'donor file':{d:'The file from which changes are taken when propagating changes from one file to another.',l:''},'Emoji':{d:'Emoji is a Japanese term for ideograms, emoticons, or smileys that can be used to express emotions in electronic messages. See the Emoji Cheat Sheet for Emoji common to many web applications.',l:''},'Emoticon':{d:'A pictorial representation an author\u0027s facial expression (or other symbology) indicating the mood or temper of a portion of text. These include *smileys*, such as :-), to indicate happiness, humor, disapproval, etc.\nFor more information, see Wikipedia.',l:''},'EPS':{d:'Encapsulated PostScript, a graphics file format, commonly with the filename extension .eps.',l:''},'exclusionary access':{d:'A permission that denies access to the specified files.',l:''},'exclusionary mapping':{d:'A view mapping that excludes specific files.',l:''},'file conflict':{d:'In a three-way file merge, a situation in which two revisions of a file differ from each other and from their base file.\nAlso: an attempt to submit a file that is not an edit of the head revision of the file in the depot; typically occurs when another user opens the file for edit after you have opened the file for edit.',l:''},'file pattern':{d:'Helix Core command line syntax that enables you to specify files using wildcards.',l:''},'file repository':{d:'The master copy of all files; shared by all users. In Helix Core, this is called the depot.',l:''},'file revision':{d:'A specific version of a file within the depot. Each revision is assigned a number, in sequence. Any revision can be accessed in the depot by its revision number, for example: testfile#3.',l:''},'file tree':{d:'All the subdirectories and files under a given root directory.',l:''},'file type':{d:'An attribute that determines how stores and diffs a particular file. Examples of file types are text and binary.',l:''},'fix':{d:'A job that has been linked to a changelist.',l:''},'form':{d:'Screens displayed by certain Helix Core commands. For example, you use the Helix Core change form to enter comments about a particular changelist and to verify the affected files.',l:''},'full-file storage':{d:'The method by which Helix Core stores revisions of binary files in the depot: every file revision is stored in full. Contrast this with reverse delta storage, which Helix Core uses for text files.',l:''},'get':{d:'An obsolete Helix Core term: replaced by sync.',l:''},'Git Fusion':{d:'Git Fusion integrates Git with Helix, offering enterprise-ready Git repository management, and workflows that allow Git and Helix users to collaborate on the same projects using their preferred tools.',l:''},'group':{d:'A list of Helix Core users.',l:''},'Groups':{d:'Groups is a feature of Helix Core that makes it easier to manage permissions for users.',l:''},'have list':{d:'The list of file revisions currently in the client workspace.',l:''},'head revision':{d:'The most recent revision of a file within the depot. Because file revisions are numbered sequentially, this revision is the highest-numbered revision of that file.',l:''},'Helix Core server':{d:'The Helix Core depot and metadata; also, the program that manages the depot and metadata.',l:''},'HTTP':{d:'Hypertext Transfer Protocol, the communication protocol used to transfer or exchange hypertext, i.e. web pages.',l:''},'iconv':{d:'iconv is a PHP extension that performs character set conversion, and is an interface to the GNU libiconv library.',l:''},'integrate':{d:'To compare two sets of files (for example, two codeline branches) and determine which changes in one set apply to the other; determine if the changes have already been propagated; propagate any outstanding changes.',l:''},'inter-file branching':{d:'Helix Core branching mechanism.',l:''},'job':{d:'A user-defined unit of work tracked by Helix Core. The job template determines what information is tracked. The template can be modified by the Helix Core system administrator.',l:''},'Job':{d:'A job is a component of the Helix Versioning Engine\u0027s defect tracking system and describes work to be done, such as a bug fix or improvement request. Associating a job with a changelist records which changes fixed the reported problem or added the requested improvement.',l:''},'Job Daemon':{d:'A job daemon is a program that checks the Helix Core machine daily to determine if any jobs are open. If so, the daemon sends an email message to interested users, informing them the number of jobs in each category, the severity of each job, and more.',l:''},'job specification':{d:'A specification containing the fields and valid values stored for a Helix Core job.',l:''},'job view':{d:'A syntax used for searching Helix Core jobs.',l:''},'jobspec':{d:'A job specification is a template describing the fields and possible values for each job stored in the Helix Core machine.',l:''},'journal':{d:'A file containing a record of every change made to the Helix Core server’s metadata since the time of the last checkpoint.',l:''},'journaling':{d:'The process of recording changes made to the Helix Core server’s metadata.',l:''},'label':{d:'A named list of user-specified file revisions.',l:''},'label view':{d:'The view that specifies which filenames in the depot can be stored in a particular label.',l:''},'lazy copy':{d:'A method used by Helix Core to make internal copies of files without duplicating file content in the depot. Lazy copies minimize the consumption of disk space by storing references to the original file instead of copies of the file.',l:''},'license file':{d:'Ensures that the number of Helix Core users on your site does not exceed the number for which you have paid.',l:''},'list access':{d:'A protection level that enables you to run reporting commands but prevents access to the contents of files.',l:''},'local depot':{d:'Any depot located on the currently-specified Helix Core server.',l:''},'local syntax':{d:'The operating-system-specific syntax for specifying a filename.',l:''},'lock':{d:'A Helix Core file lock prevents other clients from submitting the locked file. Files are unlocked with the p4 unlock command or submitting the changelist that contains the locked file.',l:''},'log':{d:'Error output from the Helix Core server. By default, error output is written to standard error. To\nspecify a log file, set the P4LOG environment variable or use the p4d -L flag when starting the service.',l:''},'mapping':{d:'A single line in a view, consisting of a left side and a right side that specify the correspondences between files in the depot and files in a client, label, or branch. The left side specifies the depot files, and the right side specifies the client\nfiles. See also workspace view, branch view, label view.',l:''},'MDS checksum':{d:'The method used by Helix Core to verify the integrity of archived files.',l:''},'merge':{d:'To create new files from existing files, preserving their ancestry (branching), or to propagate changes from one set of files to another. Also, the process of combining the contents of two conflicting file revisions into a single file, typically using a merge tool like P4Merge.',l:''},'merge file':{d:'A file generated by Helix Core from two conflicting file revisions.',l:''},'metadata':{d:'The data stored by the Helix Core server that describes the files in the depot, the current state\nof client workspaces, protections, users, labels, and branches. Metadata includes all the data stored in the service except for the actual contents of the files.',l:''},'modification time':{d:'The time a file was last changed.',l:''},'MPM':{d:'An MPM, or multi-processing module, is a component of the Apache web server that is responsible for binding to network ports, accepting requests, and dispatch operations to handle the request.',l:''},'nonexistent revision':{d:'A completely empty revision of any file. Syncing to a nonexistent revision of a file removes it from your workspace. An empty file revision created by deleting a file and the #none revision specifier are examples of nonexistent\nfile revisions.',l:''},'numbered changelist':{d:'A pending changelist to which Helix Core has assigned a number.',l:''},'open file':{d:'A file that you are changing in your client workspace.',l:''},'owner':{d:'The Helix Core user who created a particular client, branch, or label.',l:''},'p4':{d:'The Helix Core Command Line program, and the command you issue to execute commands from the operating system command line.',l:''},'p4d':{d:'The program that runs the Helix Core server; p4d manages depot files and metadata.',l:''},'P4Diff':{d:'A Helix Core application that displays the differences between two files. P4Diff is the default application used to compare files during the file resolution process.',l:''},'P4PHP':{d:'P4PHP is the PHP interface to the Helix API, which enables you to write PHP code that interacts with a Helix Core machine.',l:''},'PECL':{d:'PHP Extension Community Library, a library of extensions that can be added to PHP to improve and extend its functionality.',l:''},'pending changelist':{d:'A changelist that has not been submitted.',l:''},'Perforce':{d:'Perforce Software, provider of enterprise versioning tools.',l:''},'PHP':{d:'PHP, or PHP: Hypertext Pre-processor, is an HTML-embedded scripting language designed to allow web developers to write dynamically generated web pages quickly.',l:''},'Project':{d:'A project in Swarm is a group of Perforce users who are working together on a specific codebase, defined by one or more branches of code, along with options for a job filter, automated test integration, and automated deployment.',l:''},'protections':{d:'The permissions stored in the Helix Core server’s protections table.',l:''},'PSD':{d:'Photoshop Document, a graphics file format, commonly with the filename extension .psd.',l:''},'RCS format':{d:'Revision Control System format. Used for storing revisions of text files. RCS format uses reverse delta encoding for file storage. Helix Core uses RCS format to store text files. See also reverse delta storage.',l:''},'read access':{d:'A protection level that enables you to read the contents of  files managed by Helix Core.',l:''},'Remote depot':{d:'A remote depot is a depot that acts like a pointer to a depot on a second Helix Core machine.',l:''},'remote depot':{d:'A depot located on a host other than that hosting the \ncurrently-specified Helix Core server.',l:''},'reresolve':{d:'The process of resolving a file after the file is resolved and before it is submitted.',l:''},'resolve':{d:'The process you use to reconcile the differences between two\nrevisions of a file. You can choose to resolve conflicts by\nselecting a file to be submitted or by merging the contents of conflicting files.',l:''},'resource fork':{d:'One fork of a Mac file. (These files are composed of a resource fork and a data fork.) You can store resource forks in Helix Core depots as part of an AppleSingle file by using the Helix Core apple file type.',l:''},'reverse delta storage':{d:'The method that Helix Core uses to store revisions of text files. Helix Core stores the changes between each revision and its previous revision, plus the full text of the head revision.',l:''},'revert':{d:'To discard the changes you have made to a file in the client workspace.',l:''},'review access':{d:'A special protections level that includes read and list accesses and grants permission to run the p4 review command.',l:''},'Review Daemon':{d:'A review daemon is a program that periodically checks the Helix Core machine to determine if any changelists have been submitted. If so, the daemon sends an email message to users who have subscribed to any of the files included in those changelists, informing them of changes in files they are interested in.',l:''},'review daemon':{d:'Any daemon process that uses the p4 review command. See also change review.',l:''},'revision number':{d:'A number indicating which revision of the file is being referred to.',l:''},'revision range':{d:'A range of revision numbers for a specified file, specified as\nthe low and high end of the range. For example, myfile#5,7 specifies revisions 5 through 7 of myfile.',l:''},'revision specification':{d:'A suffix to a filename that specifies a particular revision of that file. Revision specifiers can be revision numbers, change numbers, label names, date/time specifications, or client names.',l:''},'RPM':{d:'RPM Package Manager is a tool, and package format, for managing the installation, updates, and removal of software packages for Linux distributions such as Red Hat Enterprise Linux, the Fedora Project, and the CentOS Project.',l:''},'server root':{d:'The directory in which p4d stores its metadata and all the shared files. To specify the server root, set the P4ROOT environment variable.',l:''},'service':{d:'In Helix Core, the shared versioning service that responds to requests from Helix Core applications. The Helix Core server (p4d) maintains depot files and metadata describing the files and also tracks the state of client workspaces.',l:''},'shelving':{d:'The process of temporarily storing files in the Helix Core server without checking in a changelist.',l:''},'status':{d:'For a changelist, a value that indicates whether the changelist\nis new, pending, or submitted. For a job, a value that indicates whether the job is open, closed, or suspended. You can customize job statuses.',l:''},'stream':{d:'A stream is a branch, but with additional intelligence that determines what changes can be made and in what order they must be made.',l:''},'submit':{d:'To send a pending changelist and changed files to the Helix Core server for processing.',l:''},'subscribe':{d:'To register to receive email whenever changelists that affect particular files are submitted.',l:''},'super access':{d:'An access level that gives the user permission to run every\nHelix Core command, including commands that set protections, install triggers, or shut down the service for maintenance.',l:''},'symlink file type':{d:'A Helix Core file type assigned to symbolic links. On platforms that do not support symbolic links, symlink files appear as small text files.',l:''},'sync':{d:'To copy a file revision (or set of file revisions) from the depot to a client workspace.',l:''},'target file':{d:'The file that receives the changes from the donor file when you are integrating changes between a branched codeline and the original codeline.',l:''},'text file type':{d:'Helix Core file type assigned to a file that contains only ASCII text. See also binary file type.',l:''},'TGA':{d:'Truevision Graphics Adapter, a graphics file format, commonly with the filename extension .tga.',l:''},'theirs':{d:'The revision in the depot with which the client file is merged when you resolve a file conflict. When you are working with branched files, theirs is the donor file.',l:''},'three-way merge':{d:'The process of combining three file revisions. During a three-way merge, you can identify where conflicting changes have occurred and specify how you want to resolve the conflicts.',l:''},'TIFF':{d:'Tagged Image File Format, a graphics file format, commonly with the filename extension .tif or .tiff.',l:''},'tip revision':{d:'In Helix Core, the head revision. Tip revision is a term used by some other versioning systems.',l:''},'trigger':{d:'A script automatically invoked by the Helix Core server when changelists are submitted.',l:''},'two-way merge':{d:'The process of combining two file revisions. In a two-way merge, you can see differences between the files but cannot see conflicts.',l:''},'typemap':{d:'A Helix Core table in which you assign file types to files.',l:''},'user':{d:'The identifier that Helix Core uses to determine who is performing an operation.',l:''},'view':{d:'A description of the relationship between two sets of files. See workspace view, label view, branch view.',l:''},'wildcard':{d:'A special character used to match other characters in strings. The following Helix Core wildcards are available: * matches anything except a slash; ... matches anything including slashes; %%0 through %%9 is used for parameter substitution in views.',l:''},'workspace':{d:'See client workspace.',l:''},'workspace view':{d:'A set of mappings that specifies the correspondence between file locations in the depot and the client workspace.',l:''},'write access':{d:'A protection level that enables you to run commands that alter the contents of files in the depot. write access  includes read and list accesses.',l:''},'XSS':{d:'Cross-Site Scripting, a form of web-based attack that injects malicious code into a user\u0027s web browser.',l:''},'yours':{d:'The edited version of a file in the client workspace when you resolve a file. Also, the target file when you integrate a branched file.',l:''}});